# Retrieve contributions for an upload. **GET /uploads/{upload_id}/contributions** Get the contributions created for an upload. ## Servers - https://payroll-api.getpenfold.dev/v4: https://payroll-api.getpenfold.dev/v4 () ## Authentication methods - O auth2 client credentials ## Parameters ### Path parameters - **employer_id** (string) - **upload_id** (string) ### Query parameters - **page_size** (integer) The maximum number of records to return per page. - **page_number** (integer) The page number to return in the list of records. ## Responses ### 200 Retrieved the upload contributions successfully. #### Body: application/json (object) - **page_number** (integer) The current page number. - **page_size** (integer) The number of items per page. - **total_items** (integer) The total number of items available. - **items** (array[object]) An array of Contribution objects on the current page. ### 400 Bad request, the request is malformed or contains invalid data. #### Body: application/json (object) - **error** (string) A descriptive error message. ### 401 Unauthorized, the request requires authentication, and the provided credentials are either missing or incorrect. #### Body: application/json (object) - **error** (string) A descriptive error message. ### 404 The employer or upload was not found. #### Body: application/json (object) - **error** (string) A descriptive error message. [Powered by Bump.sh](https://bump.sh)